#ifndef _FD_EFFECT_
#define _FD_EFFECT_

typedef struct Effect Effect;

typedef enum EffectType {
  EFFECT_NOOP,
  EFFECT_GOTO,
  EFFECT_INCREMENT,
  EFFECT_DECREMENT,
  EFFECT_ENABLE,
  EFFECT_DISABLE,
  EFFECT_QUIT_GAME,
  EFFECT_LOOK_ROOM,
  EFFECT_TAKE_ITEM,
  EFFECT_DROP_ITEM,
  EFFECT_DESTROY_ITEM,
  EFFECT_CHECK_INVENTORY,
} EffectType;

#include "game.h"

struct Effect {
  EffectType type;
  char *argument;
};

void cause_effect(Game *g, Effect *e);
Effect *create_effect(Game *g, const char *string);
void print_effect(Effect *e);

#endif
